Unbind
Git Hub

Get GitHub Repository

Get a repository's default branch, branches and tags through a GitHub installation usable in the team, to pick the branch for create-service.

GET
/github/repositories/info

Get a repository's default branch, branches and tags through a GitHub installation usable in the team, to pick the branch for create-service.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Query Parameters

team_id*string

The team to build in

Formatuuid
installation_id*integer
Formatint64
owner*string
repo_name*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/github/repositories/info?team_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&installation_id=0&owner=string&repo_name=string"
{  "data": {    "archived": true,    "branches": [      {        "name": "string",        "protected": true,        "ref": "string",        "sha": "string"      }    ],    "createdAt": "2019-08-24T14:15:22Z",    "defaultBranch": "string",    "description": "string",    "disabled": true,    "fork": true,    "forksCount": 0,    "fullName": "string",    "htmlUrl": "string",    "id": 0,    "installationId": 0,    "language": "string",    "name": "string",    "openIssuesCount": 0,    "owner": {      "avatar_url": "string",      "id": 0,      "login": "string",      "name": "string"    },    "private": true,    "pushedAt": "2019-08-24T14:15:22Z",    "size": 0,    "stargazersCount": 0,    "tags": [      {        "name": "string",        "ref": "string",        "sha": "string"      }    ],    "updatedAt": "2019-08-24T14:15:22Z",    "url": "string",    "watchersCount": 0  }}